Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.core
Class ProjectSetSerializationContext

    java.lang.Object
      org.eclipse.team.core.ProjectSetSerializationContext

public class ProjectSetSerializationContext
extends Object

The context in which project serialization occurs. The class may be subclassed to represent different serialization contexts.

Since:
  3.0

Constructor Summary
`ProjectSetSerializationContext()` Create a serialization context with no filename
`ProjectSetSerializationContext(String filename)` Create a serialization context and set the filename of the file that does or is to contain the project set.

Method Summary
`IProject[]` | `confirmOverwrite(IProject[] projects)` Given an array of projects that currently exist in the workspace determine which of those projects should be overwritten.
`String` | `getFilename()` Return the name of the file to or from which teh project set is being loaded or saved.
`Object` | `getShell()` Return a org.eclipse.swt.Shell if there is a UI context or `null` if executing headless.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectSetSerializationContext

    public ProjectSetSerializationContext()

  Create a serialization context with no filename

### ProjectSetSerializationContext

    public ProjectSetSerializationContext(String filename)

  Create a serialization context and set the filename of the file that does or is to contain the project set.

Parameters:
  `filename` - a filename or `null`

Method Detail

### confirmOverwrite

    public IProject[] confirmOverwrite(IProject[] projects)
                                throws TeamException

  Given an array of projects that currently exist in the workspace determine which of those projects should be overwritten.

  This default implementation always returns an empty array indicating that no existing projects should be overwritten. Subclasses may override this as appropriate.

  Parameters:
    `projects` - an array of projects currently existing in the workspace that are desired to be overwritten. (not `null`, contains no `null`s)
  Returns:
    an array of zero or more projects that should be overwritten or `null` if the operation is to be canceled
  Throws:
    `TeamException`

### getShell

    public Object getShell()

  Return a org.eclipse.swt.Shell if there is a UI context or `null` if executing headless.

  Returns:
    the shell or `null`

### getFilename

    public String getFilename()

  Return the name of the file to or from which teh project set is being loaded or saved. This may be `null`.

  Returns:
    the filename or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.